#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		msgbus		messagebus
#-----------------------------------------------------------------------------
Name		:	dbus-glib
Version		:	0.112
Release		:	17.2.0.rel%{?dist}
Summary		:	The D-Bus GLib package contains GLib interfaces to the D-Bus AP
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ or AFL
URL		:	https://dbus.freedesktop.org/releases/dbus/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-bootstrap
#-----------------------------------------------------------------------------
%description
bus-glib is a deprecated D-Bus binding for GLib.
  
dbus-glib receives minimal maintenance and security fixes for the benefit
of projects like Telepathy and NetworkManager that still rely on it, but
should not be used in new projects (and existing projects should try
to move away from it, too). Please use GDBus, part of GLib since 2.26.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/dbus-binding-tool
%{_libdir}/lib%{name}-1.so.2*
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		devel
Summary		:	Libraries and headers for the D-Bus GLib bindings

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Libraries and headers for the D-Bus GLib bindings

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/dbus-1.0/dbus/*.h
%{_libexecdir}/dbus-bash-completion-helper
%{_libdir}/lib%{name}-1.so
%{_libdir}/pkgconfig/%{name}-1.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/*.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/bash-completion/completions/dbus-bash-completion

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
libtoolize --force --copy
aclocal -I ./m4
autoheader
automake --foreign --add-missing --copy
autoconf
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
        --disable-static				\
	--enable-bash-completion			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Move the bash completion file
pushd	%{buildroot}
%{__mkdir_p} .%{_datadir}/bash-completion/completions
%{__mv}									\
	.%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh	\
	.%{_datadir}/bash-completion/completions/dbus-bash-completion
chmod -x .%{_datadir}/bash-completion/completions/dbus-bash-completion
%{__rm} -rf .%{_sysconfdir}/bash_completion.d/

#To remove libtool library
find 							\
	.%{_libdir}					\
	-name \*.la					\
	-delete

popd
#-----------------------------------------------------------------------------
%changelog
